<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class DebitNote extends Model
{
    use SoftDeletes;

    public function expenses()
    {
        return $this->hasMany(DebitNoteExpense::class, 'debit_note_id', 'id');
    }

    function account()
    {
        return $this->morphTo();
    }

    public function item()
    {
        return $this->belongsTo(ItemName::class, 'item_id', 'id');
    }

    public function warehouse()
    {
        return $this->belongsTo(WareHouse::class, 'warehouse_id', 'id');
    }

    public function buyer()
    {
        return $this->hasOne(OtherAccountBuyer::class, 'invoice_no', 'invoice_no');
    }
}
