<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePurchaseInvoiceExpensesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('purchase_invoice_expenses', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('admin_purchase_invoice_id')->nullable();
            $table->foreign('admin_purchase_invoice_id')->references('id')->on('admin_purchaes_invoices')->onDelete('cascade');
            $table->nullableMorphs('expense');
            $table->double('expense_amount')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('purchase_invoice_expenses');
    }
}
