<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateWarehouseTransfersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('warehouse_transfers', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('branch_id')->nullable();
            $table->string('invoice_no')->nullable();
            $table->date('date')->nullable();
            $table->string('item_description')->nullable();

            $table->unsignedBigInteger('item_name_id')->nullable();
            $table->foreign('item_name_id')->references('id')->on('item_names')->onDelete('cascade');
            $table->unsignedBigInteger('warehouse_from')->nullable();
            $table->foreign('warehouse_from')->references('id')->on('ware_houses')->onDelete('cascade');
            $table->unsignedBigInteger('warehouse_to')->nullable();
            $table->foreign('warehouse_to')->references('id')->on('ware_houses')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('warehouse_transfers');
    }
}
