@extends('layouts.crusher')
@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Receipt Voucher</h6>
                        </div>
                        <div class="col-md-6">
                            <a href="{{ route('crusher.receipt_vouchers.create') }}">
                                <button class="btn btn-cust1 float-right" type="submit">Create Receipt Voucher</button>
                            </a>
                        </div>
                    </div>
                    <!-- <div class="col-4"> -->


                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                        <table id="datatable" class="table table-bordered nowrap"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Receipt Voucher Number</th>
                                    <th>Account Name</th>
                                    <th>Amount</th>
                                    <th>Action</th>
                                </tr>
                            </thead>

                            <tbody>
                                @forelse ($receipts as $receipt)
                                    {{-- @dd($receipt)     --}}
                                    <tr>
                                        <td>{{ $receipt->date }}</td>
                                        <td>{{ $receipt->invoice_no }}</td>
                                        <td>
                                            @if (!empty($receipt->expense[0]->account))
                                                {{ $receipt->expense[0]->account->name_of_organisation ?? ($receipt->expense[0]->account->account_name ?? $receipt->expense[0]->account->first_name . ' ' . $receipt->expense[0]->account->last_name) }}
                                            @endif
                                        </td>
                                        <td>{{ $receipt->expense->sum('amount') }}</td>
                                        <td>
                                            <a
                                                href="{{ route('crusher.receipt_vouchers.show', ['receipt_voucher' => $receipt->id]) }}">
                                                <i class="far fa-eye cust-icon2"></i></a>
                                            @if (!$receipt->trashed())
                                                <a
                                                    href="{{ route('crusher.receipt_vouchers.edit', ['receipt_voucher' => $receipt->id]) }}">
                                                    <i class="far fa-edit cust-icon2"></i></a>
                                                <form
                                                    action="{{ route('crusher.receipt_vouchers.delete', ['receipt_voucher' => $receipt->id]) }}"
                                                    method="POST" class="d-inline">
                                                    @csrf
                                                    @method('DELETE')
                                                    <input type="hidden" name="invoice_no"
                                                        value="{{ $receipt->invoice_no }}">
                                                    <button onclick="return confirm('Sure want to delete?')" type="submit"
                                                        class="btn btn-link p-0 m-0 text-danger">
                                                        <i class="far fa-window-close cust-icon2"></i>
                                                    </button>
                                                </form>
                                            @else
                                                <span class="text-danger">Deleted</span>
                                            @endif
                                        </td>
                                    </tr>
                                @empty
                                @endforelse
                            </tbody>
                        </table>
                    </div>


                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->
@endsection
