<!DOCTYPE html>
<html>

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <title>{{ env('APP_NAME') }}</title>

    <link href="{{ asset('user_files/css/bootstrap.min.css') }}" rel="stylesheet">
    <link href="{{ asset('user_files/font-awesome/css/font-awesome.css') }}" rel="stylesheet">

    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.6.3/css/bootstrap-select.min.css" />

    <!-- Toastr style -->
    <link href="{{ asset('user_files/css/plugins/toastr/toastr.min.css') }}" rel="stylesheet">

    <!-- Gritter -->
    <link href="{{ asset('user_files/js/plugins/gritter/jquery.gritter.css') }}" rel="stylesheet">

    <!-- DataTables -->
    <link href="{{ asset('user_files/css/plugins/dataTables/datatables.min.css') }}" rel="stylesheet">

    <!-- Select2 -->
    <link href="{{ asset('user_files/css/plugins/select2/select2.min.css') }}" rel="stylesheet">

   <!-- Data picker -->
    <link href="{{ asset('user_files/css/plugins/datapicker/datepicker3.css') }}" rel="stylesheet">

    <link href="{{ asset('user_files/css/animate.css') }}" rel="stylesheet">
    <link href="{{ asset('user_files/css/style.css') }}" rel="stylesheet">

    @yield('css')

</head>

<body class="white-bg">

    @yield('content')

    <!-- Mainly scripts -->
    <script src="{{ asset('user_files/js/jquery-2.1.1.js') }}"></script>
    <script src="{{ asset('user_files/js/bootstrap.min.js') }}"></script>
    <script src="{{ asset('user_files/js/plugins/validate/jquery.validate.min.js') }}"></script>
    <script src="{{ asset('user_files/js/plugins/metisMenu/jquery.metisMenu.js') }}"></script>
    <script src="{{ asset('user_files/js/plugins/slimscroll/jquery.slimscroll.min.js') }}"></script>

    <!-- Flot -->
    <script src="{{ asset('user_files/js/plugins/flot/jquery.flot.js') }}"></script>
    <script src="{{ asset('user_files/js/plugins/flot/jquery.flot.tooltip.min.js') }}"></script>
    <script src="{{ asset('user_files/js/plugins/flot/jquery.flot.spline.js') }}"></script>
    <script src="{{ asset('user_files/js/plugins/flot/jquery.flot.resize.js') }}"></script>
    <script src="{{ asset('user_files/js/plugins/flot/jquery.flot.pie.js') }}"></script>

    <!-- Peity -->
    <script src="{{ asset('user_files/js/plugins/peity/jquery.peity.min.js') }}"></script>
    <script src="{{ asset('user_files/js/demo/peity-demo.js') }}"></script>

    <!-- Custom and plugin javascript -->
    <script src="{{ asset('user_files/js/inspinia.js') }}"></script>
    <script src="{{ asset('user_files/js/plugins/pace/pace.min.js') }}"></script>

    <!-- jQuery UI -->
    <script src="{{ asset('user_files/js/plugins/jquery-ui/jquery-ui.min.js') }}"></script>

    <!-- GITTER -->
    <script src="{{ asset('user_files/js/plugins/gritter/jquery.gritter.min.js') }}"></script>

    <!-- Sparkline -->
    <script src="{{ asset('user_files/js/plugins/sparkline/jquery.sparkline.min.js') }}"></script>

    <!-- Sparkline demo data  -->
    <script src="{{ asset('user_files/js/demo/sparkline-demo.js') }}"></script>

    <!-- ChartJS-->
    <script src="{{ asset('user_files/js/plugins/chartJs/Chart.min.js') }}"></script>

    <!-- Toastr -->
    <script src="{{ asset('user_files/js/plugins/toastr/toastr.min.js') }}"></script>

    <!-- DataTables -->
    <script src="{{ asset('user_files/js/plugins/dataTables/datatables.min.js') }}"></script>

    <!-- Select2 -->
    <script src="{{ asset('user_files/js/plugins/select2/select2.full.min.js') }}"></script>

   <!-- Data picker -->
   <script src="{{ asset('user_files/js/plugins/datapicker/bootstrap-datepicker.js') }}"></script>

   <script src="//cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.6.3/js/bootstrap-select.min.js"></script>

   <script>
    $('select[name="country"]').on('change', function(){
        var permission = $('#permission_option').val();
        var country_id = $(this).val();
        if(country_id) {
            if (permission == "specific_country_multiple_locations") {

                $.ajax({
                    url: '/country/locations/specific/'+country_id,
                    type:"GET",
                    dataType:"json",
                    success:function(data) {
                        console.log("data", data.data);
                        if(data.status == "success") {
                            $('select[name="location"]').empty();
                            $('select[name="location"]').append('<option value="">Select Location...</option>');
                            $.each(data.data, function(key, value){
                                $('select[name="location"]').append('<option value="'+ value.id +'">' + value.name + '</option>');
                            });
                            $('select[name="user"]').empty();

                        }else {
                            alert('failed to retrieve locations for selected country');
                        }

                    },
                });
            }
            else{
                $.ajax({
                    url: '/country/locations/'+country_id,
                    type:"GET",
                    dataType:"json",
                    success:function(data) {
                        console.log("data", data.data);
                        if(data.status == "success") {
                            $('select[name="location"]').empty();
                            $('select[name="location"]').append('<option value="">Select Location...</option>');
                            $.each(data.data, function(key, value){
                                $('select[name="location"]').append('<option value="'+ value.id +'">' + value.name + '</option>');
                            });
                            $('select[name="user"]').empty();

                        }else {
                            alert('failed to retrieve locations for selected country');
                        }

                    },
                });
            }
        } else {
            $('select[name="location"]').empty();
            $('select[name="user"]').empty();
        }
    });


    $('select[name="single_country"]').on('change', function(){
        var country_id = $(this).val();
        if(country_id) {
            $.ajax({
                url: '/country/locations/'+country_id,
                type:"GET",
                dataType:"json",
                success:function(data) {
                    console.log("data", data.data);
                    if(data.status == "success") {
                        $('select[name="location[]"]').empty();
                        $.each(data.data, function(key, value){
                            $('select[name="location[]"]').append('<option value="'+ value.id +'">' + value.name + '</option>');
                        });

                        $('select[name="location[]"]').selectpicker('refresh');
                    }else {
                        alert('failed to retrieve locations for selected country');
                    }

                },
            });
        } else {
            $('select[name="location"]').empty();
        }
    });


   </script>
    @yield('js')
</body>
</html>
