@extends('layouts.master_user_without_nav')
@section('css')
<style>
    .margin_top{
        margin-top: 50px;
    }
    h2{
        margin-bottom: 20px;
    }
    #custom-search-input {
        padding: 3px;
        border: solid 1px #E4E4E4;
        border-radius: 6px;
        background-color: #fff;
    }

    #custom-search-input input {
        border: 0;
        box-shadow: none;
    }

    #custom-search-input button {
        margin: 2px 0 0 0;
        background: none;
        box-shadow: none;
        border: 0;
        color: #666666;
        padding: 0 8px 0 10px;
        border-left: solid 1px #ccc;
    }

    #custom-search-input button:hover {
        border: 0;
        box-shadow: none;
        border-left: solid 1px #ccc;
    }

    #custom-search-input .glyphicon-search {
        font-size: 23px;
    }


</style>
@endsection
@section('content')
<div class="middle-box text-center animated fadeInDown">
    <div class="row text-left" style="margin-bottom: 20px;">
        <a href="/" class="btn btn-primary">Go Back</a>
    </div>
    @include('errors.list')
        <div class="row gray-bg">
            <h2><strong>Trial Bance Report</strong></h2>
        </div>
        <form class="margin_top" method="POST" id="create_form" action="/main-menu/balance-sheet-report" enctype="multipart/form-data">
            @csrf
            <div class="form-group">
                <div class="row">
                    <label>Select From Date </label>
                    <div class="input-group date">
                        <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                        name="from_date" class="form-control" value="">
                    </div>
                </div>
            </div>
            <div class="form-group">
                <div class="row">
                    <label>Select To Date </label>
                    <div class="input-group date">
                        <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                        name="to_date" class="form-control" value="">
                    </div>
                </div>
            </div>
            <div class="form-group m-t-md">
                <button type="submit" class="btn btn-primary block full-width ">Display</button>
            </div>
        </form>
</div>
@endsection

@section('js')
<script>
    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "yyyy-mm-dd"
        }).datepicker('setDate',new Date());
    });
</script>
@endsection
