@extends('layouts.master_user')
@section('page-title')
Ledger Report
@endsection
@section('css')
<style>
    .top {
        margin-top: 22px;
    }

    .vcenter {
        margin-top: 30px;
    }

    .move_l {
        margin-right: 10px;

    }

    .display-none {
        display: none;
    }
    .display-min{
        width:280px;
    }

</style>

@endsection

@section('content')

@section('page-breadcrumb')
{{-- <li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Ledger Report</strong>
</li> --}}
@endsection

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Expense</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div> --}}

        <div class="ibox-content">
            <div><p><strong>Ledger Name</strong></p></div>
            <div class="row m-b-md top">
                <div class="col-sm-3">
                    {{-- <label for="select_type">Select Report Type</label> --}}
                    <select name="report_type" id="report_type" class="form-control" onchange="showDate()">
                        <option value="">Select Report Type</option>
                        <option value="date_wise">Bill Wise</option>
                        <option value="month_wise">VAT Wise</option>
                    </select>
                </div>
                <div class="col-sm-9">
                    <div class="form-group pull-right">
                        <button class="btn btn-secondary " type="button"><i class="fa fa fa-print"></i>&nbsp;&nbsp;<span
                                class="bold">Print</span></button>
                        <button class="btn btn-secondary " type="button"><i class="fa fa-file-pdf-o"></i> PDF Format</button>
                        <button class="btn btn-secondary " type="button"><i class="fa fa fa-envelope"></i>&nbsp;&nbsp;Email (PDF
                            Format)</button>
                            <button type="button" class="btn" id="customer_info_btn"><i
                                class="fa fa-info"></i></button>
                        <div id="customer_info" class="display-none">
                            <p>Contact Person Name: Test</p>
                            <p>Contact #:1234567</p>
                            <p>WhatsApp:1234567</p>
                            <p>Email:test@gmail.com</p>
                            <p>Address: House# , street#, City, Country</p>
                        </div>
                    </div>
                </div>
            </div>
            <table class="table table-bordered table-hover">
                <thead>
                  <tr>
                    <th>Date</th>
                    <th>Particulars</th>
                    <th>Voucher Description</th>
                    <th>Debit</th>
                    <th>Credit</th>
                  </tr>
                </thead>
                <tbody>
                  <tr>
                    <td>
                    22/10/2020
                    </td>
                    <td>particular1</td>
                    <td>SAL INV #123456</td>
                    <td><p><strong>Rs:5000</strong></p></td>
                    <td><p><strong></strong></p></td>
                  </tr>
                  <tr>
                    <td>
                        22/10/2020
                        </td>
                        <td>particular2</td>
                        <td>SAL INV #123456</td>
                        <td><p><strong></strong></p></td>
                        <td><p><strong>Rs:15000</strong></p></td>
                  </tr>
                  <tr>
                    <td>
                        22/10/2020
                        </td>
                        <td>particular3</td>
                        <td>SAL INV #123456</td>
                        <td><p><strong></strong></p></td>
                        <td><p><strong>Rs:15000</strong></p></td>
                  </tr>
                </tbody>
              </table>
              <div class="row">
                  <div class="col-sm-2 col-sm-offset-10">
                      <p><strong>Opening Balance : 116.50</strong></p>
                  </div>
              </div>
              <div class="row">
                <div class="col-sm-2 col-sm-offset-10">
                    <p><strong>Current Balance : 116.50</strong></p>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-2 col-sm-offset-10">
                    <p><strong>Closing Balance : 116.50</strong></p>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "dd/mm/yyyy"
        }).datepicker('setDate',new Date());
    });
            function showLedgerAccount(){
                var select_status=$('#ledger_account_class_id').val();

                if(select_status=='account'){
                    $('#account_class').show();
                    $('#select').hide();
                }
                else{
                    $('#account_class').hide();
                    $('#select').show();


                }
            }
    $(document).ready(function () {
    $("#customer_info_btn").click(function () {
    $("#customer_info").toggle();
    });
});
</script>
@endsection
