@extends('layouts.master_user')
@section('page-title')
Day Book Report
@endsection
@section('css')
<style>
    .top {
        margin-top: 22px;
    }

    .vcenter {
        margin-top: 30px;
    }

    .move_l {
        margin-right: 10px;

    }

    .display-none {
        display: none;
    }

    .display-min {
        width: 280px;
    }
</style>
@section('reports')
active
@endsection
@section('day-book')
active
@endsection

@endsection

@section('content')

@section('page-breadcrumb')
{{-- <li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Class of Account</strong>
</li> --}}
@endsection

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Expense</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div> --}}
        <div class="ibox-content">
            <div class="row">
                <div class="col-md-6">
                    <p><strong>Date : </strong><strong>{{\Carbon\Carbon::parse($from_date)->format('d-m-Y')}} to {{\Carbon\Carbon::parse($to_date)->format('d-m-Y')}}</strong></p>
                </div>
            </div>
            <div class="form-group top pull-right">
                {{-- <button class="btn btn-primary" id="printbtn" onclick="window.print()"><i
                    class="fa fa-print"></i> Print </button> --}}
                <a href="/reports/day-book/pdfview/{{$from_date}}/{{$to_date}}" target="_blank" class="btn btn-primary"><i class="fa fa fa-print"> Print </i> & <i class="fa fa-file-pdf-o">  PDF Format</i></a>
                {{-- <button class="btn btn-secondary " type="button"><i class="fa fa-file-pdf-o"></i> PDF Format</button> --}}
                <button class="btn btn-secondary " type="button"><i class="fa fa fa-envelope"></i>&nbsp;&nbsp;Email (PDF
                    Format)</button>
            </div>
            <table class="table table-bordered table-hover">
                <thead>
                    <tr>
                        <th>Date</th>
                        <th>Particulars</th>
                        <th>Voucher Description</th>
                        <th>Net Amount</th>
                        <th>Vat Amount</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($sorted_daybook_data as $item)
                        <tr>
                            <td>{{\Carbon\Carbon::parse($item->date)->format('d-m-Y')}}</td>
                            <td>{{$item->account->name_of_organisation}}</td>
                            <td>{{$item->invoice_type}}# {{ $item->invoice_no }}</td>
                            <td>{{ number_format($item->net_total, $decimal, '.', '') }}</td>
                            <td>{{ number_format($item->vat_amount, $decimal, '.', '') }}</td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "dd/mm/yyyy"
        }).datepicker('setDate',new Date());
    });

    $(document).ready(function () {
    $("#customer_info_btn").click(function () {
    $("#customer_info").toggle();
    });
});
</script>
@endsection
