@extends('layouts.master_user')
@section('page-title')
Deposit and Withdraw
@endsection
@section('css')
<style>
    .table-responsive {
        display: block;
        width: 100%;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
    }

    .table-responsive>.table-bordered {
        border: 0;
    }

    .top {
        margin-top: 10px;

    }

    .display-none {
        display: none;
    }
    th{
        text-align: center;
    }
</style>

@endsection
@section('transaction')
active
@endsection
@section('deposit-withdraw-voucher')
active
@endsection
@section('content')
{{--@section('page-breadcrumb')
<li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Deposit and Withdraw</strong>
</li>
@endsection
--}}

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Deposit and Withdraw</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
         </div> --}}
        <div class="ibox-content">
            <form class="form-horizontal" id="create_form" name="create_form" method="POST" action="/transactions/deposit-withdraw-vouchers" enctype="multipart/form-data">
                @csrf
                <div class="form-group">
                    <div class="col-sm-3">
                        <label>Invoice#</label>
                        <input type="text" class="form-control" name="invoice_no" id="invoice_no" value="{{ $invoice_no}}"
                            placeholder="Invoice#" readonly>
                    </div>
                    <div class="col-sm-3 col-sm-offset-6">
                        <div class="form-group">
                            <label>Select Option</label>
                            <select class="form-control" name="deposit_withdraw_option" id="deposit_withdraw_option"
                                onchange="depositWithDrawOption()" required>
                                <option value="">Select Option</option>
                                <option value="deposit">Deposit</option>
                                <option value="withdrawal">Withdrawal</option>
                            </select>
                        </div>

                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-3">
                        <label for="">Date</label>
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text" name="date" id="date"
                            class="form-control" value="">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-12" id="select_bank_or_cash">
                        <label for="Account-Name">Account Name/Bank Name</label>
                        <p>Please Select Option</p>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-12 display-none" id="cash">
                        <label>Select Cash Account</label>
                        <select class="form-control" name="deposit_cash_account" id="deposit_cash_account">
                            <option value="">Select Cash</option>
                            @foreach ($cash_accounts as $item)
                                <option value="{{$item->id}}">{{$item->name_of_organisation}}</option>    
                            @endforeach
                            
                        </select>
                    </div>
                    <div class="col-sm-12 display-none" id="banks-option">
                        <label for="bank">Select Bank Account</label>
                        <select name="withdrawal_bank_account" class="form-control" id="withdrawal_bank_account">
                            <option value="">Select Bank</option>
                            @foreach ($bank_accounts as $item)
                                <option value="{{$item->id}}">{{$item->name_of_organisation}}</option>    
                            @endforeach
                        </select>
                        <label for="cheaque_no">Cheaque No</label>
                        <input type="text" id="withdrawal_cheaque_no" name="withdrawal_cheaque_no"
                            placeholder="Cheaque No #" class="form-control">
                        <label for="cheaque_date">Cheaque Date</label>
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span>
                            <input type="text" name="withdrawal_cheaque_date" id="withdrawal_cheaque_date" class="form-control" value="">
                        </div>
                    </div>
                </div>
                {{-- <div class="form-group">
                    <div class="col-sm-3 display-none" id="withdraw_info">
                        <label for="cheaque_no">Cheaque No</label>
                        <input type="text" id="cheaque_no" name="cheaque_no"
                            placeholder="Cheaque No #" class="form-control">
                        <label for="cheaque_date">Cheaque Date</label>
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text" name="cheaque_date" id="cheaque_date"
                            class="form-control" value="">
                        </div>
                    </div>
                </div> --}}
                <div class="form-group display-none" id="cash_info">
                     <div class="col-sm-3">
                        <label for="Person_Id">Person Id</label>
                        <input type="text" id="person_id" name="person_id" placeholder="Person ID #"
                            class=" form-control"/>
                         <label for="Person_name">Person Name</label>
                        <input type="text" id="person_name" name="person_name" placeholder="Person Name"
                            class=" form-control mt-md-5"/>
                     </div>
                </div>
                <div class="hr-line-dashed"></div>

                {{-- invoice table --}}
                <div class="form-group">
                    <div class="col-sm-12">
                        <div class="row">
                            <div class="table-responsive">
                                <table class="table table-bordered table-hover" id="items_table">
                                    <thead>
                                        <tr>
                                            {{-- <th scope="col">SR No</th> --}}
                                            <th scope="col">Particulars</th>
                                            <th scope="col">Amount</th>
                                            {{-- <th scope="col">Against Invoice</th> --}}
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            {{-- <td>
                                                <span id="sr_id"><strong>1</strong></span>
                                            </td>--}}
                                            <td>
                                                <p id="select_option">Plese Select Option</p>
                                                <div id="bank_list" class="display-none">
                                                    <select name="deposit_bank_account"class="form-control" id="deposit_bank_account">
                                                        <option value="">Select Bank</option>
                                                        @foreach ($bank_accounts as $item)
                                                            <option value="{{$item->id}}">{{$item->name_of_organisation}}</option>    
                                                        @endforeach
                                                    </select>
                                                    <label for="cheaque_no">Cheaque No</label>
                                                    <input type="text" id="deposit_cheaque_no" name="deposit_cheaque_no" placeholder="Cheaque No #" class="form-control">
                                                    <label for="cheaque_date">Cheaque Date</label>
                                                    <div class="input-group date">
                                                        <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text" name="deposit_cheaque_date" id="deposit_cheaque_date"
                                                        class="form-control" value="">
                                                    </div>
                                                </div>
                                                <div id="cash_list" class="display-none">
                                                    <select name="withdrawal_cash_account" class="form-control" id="withdrawal_cash_account">
                                                        <option value="">Select Cash</option>
                                                        @foreach ($cash_accounts as $item)
                                                            <option value="{{$item->id}}">{{$item->name_of_organisation}}</option>    
                                                        @endforeach
                                                    </select>
                                                </div>
                                            </td>
                                            <td>
                                            <input type="text" id="amount" name="amount" placeholder="Amount" onkeyup="getTotalPrice()" class="form-control"
                                            required />
                                            </td>
                                        </tr>
                                    </tbody>
                                    <tfoot>
                                        <tr>
                                            <td>
                                                <span><strong>Total Amount</strong></span><strong><span
                                                        id="amount_in_words"></span></strong>
                                            </td>
                                            <td>
                                                <span><strong>{{$currency->currency_id ?? '-'}}:</strong></span><strong><span
                                                        id="total_amount"><strong>0</strong></span></strong>
                                                <input type="hidden" name="total_amount" placeholder="Amount" class="form-control total_amount" required />
                                            </td>
                                        </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                    </div>

                </div>
                <div class="hr-line-dashed"></div>
                <div class="form-group">
                    <div class="col-sm-12">
                        <label for="Narrations">Narrations</label>
                        <textarea name="narrations" class="form-control" id="narrations" cols="30" rows="5"
                            placeholder="Narrations"></textarea>
                    </div>
                </div>
                <input type="hidden" name="currency_decimal" id="currency_decimal" value="{{$currency->decimal_currency ?? ''}}">
                <div class="form-group">
                    <div class="col-sm-12 ">
                        <button class="btn btn-primary pull-right" type="submit">Create Deposit Withdraw
                            Voucher</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $('#create_form').validate(
        {ignore : ":hidden:not(.selectpicker)"  }
    );
    var deci = $('#currency_decimal').val();
    var front = dec_function(0, deci);
    $('#amount').val(front);
    function getTotalPrice(){
        var total_amount=$('input[name="amount"]').val()
        console.log(total_amount)
        $('#total_amount').text(total_amount)
        $('.total_amount').val(total_amount)
    }
    function depositWithDrawOption(){
        var select_status=$('#deposit_withdraw_option').val();
        if(select_status=='deposit'){
            $('#cash').show();
            $('#bank_list').show();
            $('#cash_info').show();
            $('#banks-option').hide();
            $('#cash_list').hide();
            $('#select_bank_or_cash').hide();
            $('#withdraw_info').hide();
            $('#select_option').hide();

            $("#deposit_cash_account").attr("required", true);
            $("#deposit_bank_account").attr("required", true);
            $("#deposit_cheaque_no").attr("required", true);

            $("#withdrawal_cash_account").attr("required", false);
            $("#withdrawal_bank_account").attr("required", false);
            $("#withdrawal_cheaque_no").attr("required", false);

        }
        if(select_status=='withdrawal'){
            $('#banks-option').show();
            $('#cash_list').show();
            $('#withdraw_info').show();
            $('#cash').hide();
            $('#select_bank_or_cash').hide();
            $('#bank_list').hide();
            $('#cash_info').show();
            $('#select_option').hide();

            $("#deposit_cash_account").attr("required", false);
            $("#deposit_bank_account").attr("required", false);
            $("#deposit_cheaque_no").attr("required", false);

            $("#withdrawal_cash_account").attr("required", true);
            $("#withdrawal_bank_account").attr("required", true);
            $("#withdrawal_cheaque_no").attr("required", true);

        }
            if(select_status==''){
            $('#select_bank_or_cash').show();
            $('#select_option').show();
            $('#cash').hide();
            $('#bank_list').hide();
            $('#banks-option').hide();
            $('#cash_list').hide();
            $('#cash_person_info').hide();
            $('#withdraw_person_info').hide();

            $("#deposit_cash_account").attr("required", false);
            $("#deposit_bank_account").attr("required", false);
            $("#deposit_cheaque_no").attr("required", false);

            $("#withdrawal_cash_account").attr("required", false);
            $("#withdrawal_bank_account").attr("required",false);
            $("#withdrawal_cheaque_no").attr("required", false);

            }
    }

    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "yyyy-mm-dd"
        }).datepicker('setDate',new Date());
    });

</script>


@endsection
