@extends('layouts.master_user')
@section('page-title')
Receipt Voucher
@endsection
@section('css')
<style>
    .table-responsive {
        display: block;
        width: 100%;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
    }

    .table-responsive>.table-bordered {
        border: 0;
    }

    .top {
        margin-top: 10px;

    }

    .display-none {
        display: none;
    }
    th{
        text-align: center;
    }
</style>

@endsection
@section('transaction')
active
@endsection
@section('receipt-voucher')
active
@endsection
@section('content')
{{--
    @section('page-breadcrumb')
<li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Receipt Voucher</strong>
</li>
@endsection
--}}

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Receipt Voucher</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div>--}}
        <div class="ibox-content">
            <form class="form-horizontal" method="POST" id="create_form" action="/transactions/receipt-vouchers/{{  $receipt_voucher -> id }}" enctype="multipart/form-data">
                {{ method_field('PATCH') }}
                {{ csrf_field() }}
                <div class="form-group">
                    <div class="col-sm-3">
                        <label>Invoice#</label>
                        <input type="text" class="form-control" name="invoice_no" id="invoice_no" value="{{ $receipt_voucher->invoice_no }}"
                            placeholder="Invoice#" readonly>
                    </div>

                </div>
                <div class="form-group">
                    <div class="col-sm-3">
                        <label for="">Date</label>
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text" name="date" id="date"
                            class="form-control" value="{{ $receipt_voucher->date }}" readonly>
                        </div>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-sm-12">
                        <div class="col-sm-6">
                            <label>Select Payment Method</label>
                            <select class="payment_method form-control" id="payment_method" name="payment_method">
                                <option value="cash" @if ($receipt_voucher->payment_method == "cash") selected @endif>Cash</option>
                                <option value="bank" @if ($receipt_voucher->payment_method == "bank") selected @endif>Bank</option>
                            </select>
                        </div>
                        <div class="col-sm-6">
                            <div id="cash_payment" class="cash_payment">
                                <label>Select Account</label>
                                <select name="cash_accounts" id="cash_accounts" class="cash_accounts form-control">
                                    <option value="">Select Cash Account...</option>
                                    @foreach ($cash_accounts as $item)
                                        <option value="{{$item->id}}"  @if ($receipt_voucher->cash_account_id == $item->id) selected @endif>{{$item->name_of_organisation}}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div id="bank_payment" class="display-none bank_payment">
                                <label>Select Account</label>
                                <select name="bank_accounts" id="bank_accounts" class="bank_accounts form-control">
                                    <option value="">Select Bank Account...</option>
                                    @foreach ($bank_accounts as $item)
                                        <option value="{{$item->id}}" @if ($receipt_voucher->bank_account_id == $item->id) selected @endif>{{$item->name_of_organisation}}</option>
                                    @endforeach
                                </select>
                                <input type="text" id="cheaque_no" name="cheaque_no" placeholder="Cheaque No #" value="{{$receipt_voucher->cheaque_no}}" class="form-control top" />
                                <div class="top input-group date">
                                    <span class="input-group-addon"><i class="fa fa-calendar"></i></span>
                                    <input type="text" id="cheaque_date" name="cheaque_date" class="form-control"  value="{{$receipt_voucher->cheaque_date}}"/>
                                </div>
                                <input type="text" id="bank_name" name="bank_name" placeholder="Bank Name" class=" form-control top" value="{{$receipt_voucher->bank_name}}"/>
                            </div>
                        </div>

                    </div>
                    <input type="hidden" id="items_rows" name="items_rows" value="1" />
                </div>

                <div class="hr-line-dashed"></div>

                <div class="form-group">

                    <div class="col-sm-12">
                        <div class="item_table row">
                            <div class="table-responsive">
                                <table class="table table-bordered table-hover" id="items_table">
                                    <thead>
                                        <tr>
                                            <th scope="col">Particulars</th>
                                            <th scope="col">Amount</th>
                                            <th scope="col">BillWise/OnAccount</th>
                                            <th scope="col" class="invoice">Select Invoice</th>
                                            <th scope="col">Delete</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($receipt_voucher->items as $key => $item)

                                        <tr>
                                            {{-- <input type="hidden" name="selected_invoices[]" id="selected_invoices" class="selected_invoices" value="{{$selected_invoices[$key]}}"> --}}
                                            <td>
                                                <select class="warehouse-select account_id form-control" id="account_id" name="account_id[]" required>
                                                    <option value="">Select Account ...</option>
                                                        @foreach ($account_masters as $account_master)
                                                            @if (!empty($account_master->account_master))
                                                                <option value="{{$account_master->account_master->id}}" @if ($account_master->account_master->id == $item->account_id) selected @endif>{{$account_master->account_master->name_of_organisation}}</option>
                                                            @endif
                                                        @endforeach
                                                </select>

                                            </td>
                                            @php
                                                $sale_invoices = \App\SaleInvoice::Where('account_id',$item->account_id)->get();
                                                $account_type = \App\AccountMaster::Where('id',$item->account_id)->first();
                                                $inv = \App\SaleInvoice::Where('id', $item->invoice_id)->first();
                                            @endphp
                                            <td>
                                                <input type="text" id="amount" name="amount[]" class="amount form-control" value="{{$item->amount}}">
                                            </td>
                                            <td>
                                                <select class="payment_type form-control " id="payment_type" name="payment_type[]" required>
                                                    <option value="">Select Type..</option>
                                                    <option value="billwise" @if ($item->payment_type == "billwise") selected @endif>BillWise</option>
                                                    <option value="on_account" @if ($item->payment_type == "on_account") selected @endif>On Account</option>
                                                </select>
                                                <input type="hidden" name="account_type[]" id="account_type" value="{{$account_type->maintain_account}}" class="account_type form-control">
                                            </td>

                                            <td>


                                                    {{-- <select class="select_invoice form-control" id="select_invoice" name="select_invoice[]">
                                                        <option value="">Select Invoice...</option>
                                                        @foreach ($sale_invoices as $invoice)
                                                            <option value="{{$invoice->id}}" @if($invoice->id == $item->invoice_id) selected @endif>
                                                                @if ($invoice->id == $item->invoice_id)
                                                                    Sale # {{$invoice->invoice_no}} - {{$invoice->remaining_amount + $item->amount}}
                                                                @elseif($invoice->id != $item->invoice_id && $invoice->remaining_amount > 0)
                                                                    Sale # {{$invoice->invoice_no}} - {{$invoice->remaining_amount}}
                                                                @endif
                                                            </option>
                                                        @endforeach
                                                    </select> --}}

                                                    <select class="select_invoice form-control @if ($item->payment_type == "on_account") hidden @endif" id="select_invoice" name="select_invoice[]">
                                                        <option value="">Select Invoice...</option>
                                                        @foreach ($sale_invoices as $invoice)
                                                            @if ($invoice->id == $item->invoice_id)
                                                                <option value="{{$invoice->id}}" selected >Sale # {{$invoice->invoice_no}} - {{$invoice->remaining_amount + $item->amount}}</option>
                                                            @elseif($invoice->id != $item->invoice_id && $invoice->remaining_amount > 0)
                                                                <option value="{{$invoice->id}}">Sale # {{$invoice->invoice_no}} - {{$invoice->remaining_amount}}</option>
                                                            @endif

                                                        @endforeach
                                                    </select>
                                                    <input type="hidden" name="invoice_id[]" id="invoice_id" class="invoice_id form-control" value="{{$item->invoice_id}}">
                                                    <input type="hidden" name="invoice_value[]" id="invoice_value" class="invoice_value form-control" @if ($inv != "") value="{{$inv->remaining_amount + $item->amount}}" @endif>

                                            </td>
                                            <td>
                                                <button type="button" class="btn" id="delete_item_button"  @if ($key == 0) disabled @endif><i class="fa fa-trash-o icon-trash"></i></button>
                                            </td>
                                        </tr>
                                        @endforeach
                                    </tbody>

                                </table>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-3 ">
                                {{-- <button type="button" class="btn btn-primary mr-1 mb-1" onclick="checkAmount()"><i class="feather icon-plus"></i> Billwise / On Account</button> --}}
                                <button type="button" class="btn btn-primary mr-1 mb-1" onclick="createItemsRow()"><i class="feather icon-plus"></i> Add Item</button>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row mt-2 top">
                    <div class="col-sm-6">
                        <h4>Amount in Words: <span class="amount_in_words" id="total_invoice_in_words">{{ $receipt_voucher -> amount_in_words }}</span>
                        </h4>
                        <input type="hidden" id="amount_in_words" name="amount_in_words" value="{{ $receipt_voucher -> amount_in_words }}" class="form-control" required />
                    </div>
                    <div class="col-sm-3 col-sm-offset-3">
                        <h4>Net Total({{$currency->currency_id ?? '-'}}): <span class="net_total">{{ $receipt_voucher -> net_total }}</span>
                        </h4>
                        <input type="hidden" id="net_total" name="net_total" value="{{ $receipt_voucher -> net_total }}" class="form-control" required />
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-12">
                        <label for="Narrations">Narrations</label>
                        <textarea name="narrations" class="form-control" id="narrations" cols="30" rows="5" placeholder="Narrations">{{$receipt_voucher->narrations}}</textarea>
                    </div>
                </div>
                <input type="hidden" name="currency_decimal" id="currency_decimal" value="{{$currency->decimal_currency ?? ''}}">
                <div class="form-group">
                    <div class="col-sm-12">
                        <button class="btn btn-primary pull-right" type="submit" id="form_submit">Update Receipt Voucher</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="">Account Verification By Password</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <form id="modal-form">
                <div class="form-group">
                  <label for="recipient-name" class="col-form-label">Enter Password For the selected Account:</label>
                  <input type="password" class="form-control" name="password" id="password">
                </div>

            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
              <button type="button" id="submitbutton" class="btn btn-primary">Verify</button>
            </div>
          </form>
          </div>
        </div>
      </div>
</div>
@endsection
@section('js')
<script>
$('#create_form').validate(
        {ignore : ":hidden:not(.selectpicker)"  }
    );
var invoice_id_array = Array();

    var method = $("#payment_method").val();
    if(method == "bank"){
        $('#cash_payment').hide();
        $('#bank_payment').show();
    }if (method == "cash") {
        $('#bank_payment').hide();
        $('#cash_payment').show();
    }

    var deci = $('#currency_decimal').val();
    var front = dec_function(0, deci);
    $('.remaining_amount').html(front);

    var ajaxResult=[];

    $("#submitbutton").click(function(){
        var password = $('#password').val();
        var account_master_id = $('#account_id').val();
        if (account_master_id == "") {
            alert("Kindly Select Account First");
        }else
        if (password != null){
            AccountPasswordVerfification(account_master_id, password);
        }
    });

    function checkAmount() {
        if ($("#amount").val() > 0) {
            if ($("#account_id").val() != "") {
                createItemsRow();
            }
            else{
                alert("Select Account First");
            }

        }
        else{
            alert("Kindly Enter Amount First");
        }
    }

    var row_count = 0;
    var invoice_count = 0;
    function createItemsRow() {

        var ltr = $('#items_table').find('tr').last();
            console.log(ltr);
            if (ltr.find('#account_id').val() == "" || ltr.find('#payment_type').val() == "") {
                alert("Fill Previous Row");
            }
            else{
                if (ltr.find('#payment_type').val() == "billwise" && ltr.find('#select_invoice').val() == "") {
                    alert("You cannot add new line");
                }
                else
                {
                    var selected_invoices = $(".select_invoice");

                    invoice_id_array = [];
                    for(var i = 0; i < selected_invoices.length; i++){
                        var value = $(selected_invoices[i]).val();
                        invoice_id_array.push(value);
                    }
                    $('#items_table').append(

                        '<tr>' +
                            '<td>' +
                                '<select class="warehouse-select account_id form-control" id="account_id" name="account_id[]" required>' +
                                    '<option value="">Select Account ...</option>' +
                                        '@foreach ($account_masters as $key => $account_master)' +
                                            '@if (!empty($account_master->account_master))' +
                                                '<option value="{{$account_master->account_master->id}}">{{$account_master->account_master->name_of_organisation}}</option>' +
                                            '@endif' +
                                        '@endforeach' +
                                '</select>' +
                            '</td>' +
                            '<td>' +
                                '<input type="text" id="amount" name="amount[]" class="amount form-control">' +
                            '</td>' +
                            '<td>' +
                                '<p id="select_account" name="select_account" class="select_account">Select Particular...</p>' +
                                '<select class="payment_type form-control hidden" id="payment_type" name="payment_type[]" required>' +
                                    '<option value="">Select Type..</option>' +
                                    '<option value="billwise">BillWise</option>' +
                                    '<option value="on_account">On Account</option>' +
                                '</select>' +
                                '<input type="hidden" name="account_type[]" id="account_type" class="account_type form-control">' +
                            '</td>' +
                            '<td>' +
                                '<p id="invoice_onaccount" name="invoice_onaccount" class="invoice_onaccount">Select Type...</p>' +
                                '<select class="select_invoice form-control hidden" id="select_invoice" name="select_invoice[]">' +

                                '</select>' +
                                '<input type="hidden" name="invoice_id[]" id="invoice_id" class="invoice_id form-control" value="0">' +
                                '<input type="hidden" name="invoice_value[]" id="invoice_value" class="invoice_value form-control">' +
                            '</td>' +
                            '<td>' +
                                '<button type="button" class="btn" id="delete_item_button"><i class="fa fa-trash-o icon-trash"></i></button>' +
                            '</td>' +
                        '</tr>'
                    );

                }
            }
                // ajaxResult.forEach(arrayfunction);
    }

    function arrayfunction(item, index) {

        $('select[id="select_invoice['+ row_count +']"]').append('<option value="">Select Invoice</option>');
            for (index = 0; index < item.length; index++) {
                $('select[id="select_invoice['+ row_count +']"]').append('<option value="'+ item[index].id +'"> Pur #' + item[index].invoice_no + '-' + item[index].remaining_amount + '</option>');
            }
        row_count++;

    }

    $('#items_table').on('click', 'button[id="delete_item_button"]', function () {
        var tr = $(this).parent().parent();
        var invoice_amount = tr.find('#select_invoice_value').val();
        var onaccountamount = Number(tr.find('.on_account_amount').val());
        if (onaccountamount != "") {
            var rem = $('#remaining_amount').val();
            var remain = 0;
            var remain = parseFloat(rem) + parseFloat(onaccountamount);
            remain = dec_function(remain, deci);
            $('.remaining_amount').html(remain);
            $('#remaining_amount').val(remain);
        }
        if (invoice_amount != "") {
            var rem = $('#remaining_amount').val();
            var remain = 0;
            var remain = parseFloat(invoice_amount) + parseFloat(rem);
            remain = dec_function(remain, deci);
            $('.remaining_amount').html(remain);
            $('#remaining_amount').val(remain);
        }

        if (Number($('#remaining_amount').val()) == Number($('#amount').val())) {
            $("#account_id").val('');
            ajaxResult = [];
            $("#account_id").attr("disabled", false);
            $("#amount").prop("readonly", false);
        }


        invoice_id_array = jQuery.grep(invoice_id_array, function(value) {
            return value != tr.find('#select_invoice').val();
        });

        $(this).closest('tr').remove();

        getTotal()
    });


    $('#payment_method').on('change', function(){
        var method = $('#payment_method').val();
        if(method == "bank"){
            $('#cash_payment').hide();
            $('#cash_accounts').val("");
            $('#bank_payment').show();
        }if (method == "cash") {
            $('#bank_payment').hide();
            $('#bank_accounts').val("");
            $('#cash_payment').show();
        }
    });

    $('#cash_amount_table').on('keyup', '.amount', function(){
        console.log('amount');
        var amount = $('.amount').val();
        amount = dec_function(parseFloat(amount), deci);
        $('.remaining_amount').html(amount);
        $('#remaining_amount').val(amount);
    })

    $('#items_table').on('keyup', '.amount', function(){
        getTotal();
        var tr = $(this).parent().parent();
        var amount = tr.find("#amount").val();
        var inv_amount = tr.find('#invoice_value').val();
        if (inv_amount != "") {
            if (parseFloat(amount) > parseFloat(inv_amount)) {
            alert("Your Entered Amount Should Not Be Greater Than Invoice Amount");
            // tr.find("#amount").val("");
            tr.find("#select_invoice").val("");
            }
        }

    })

    $('#items_table').on('change', '.payment_type', function(){
        console.log('payment_type');
        var tr = $(this).parent().parent();
        var type = tr.find('.payment_type').val();
        var maintain_account = tr.find('.account_type').val();
        if (type == "billwise") {
            if (maintain_account == "on_account") {
                alert("Selected Accoount Previously Managed As On_Account");
            }
            tr.find(".select_invoice").removeClass("hidden");
            tr.find(".on_account_amount").addClass("hidden");
            tr.find(".invoice_onaccount").addClass("hidden");

            var onaccountamount = tr.find('.on_account_amount').val();
            onaccountamount = dec_function(parseFloat(onaccountamount), deci);

            $('.remaining_amount').html(onaccountamount);
            $('#remaining_amount').val(onaccountamount);
        }
        if (type == "on_account") {
            if (maintain_account == "billwise") {
                alert("Selected Accoount Previously Managed As Billwise");
            }
            tr.find(".select_invoice").addClass("hidden");
            tr.find(".on_account_amount").removeClass("hidden");
            tr.find(".invoice_onaccount").addClass("hidden");
            var remaining_amount = $('#remaining_amount').val();
            tr.find('.on_account_amount').val(remaining_amount);

            $('.remaining_amount').html(front);
            $('#remaining_amount').val(front);
        }
        if (type == "") {
            tr.find(".select_invoice").addClass("hidden");
            tr.find(".on_account_amount").addClass("hidden");
            tr.find(".invoice_onaccount").removeClass("hidden");
        }

        tr.find('.selected_payment_type').val(type);
        // tr.find('.payment_type').attr("disabled", true);

    });



    function arrAdd(value){

        invoice_id_array.push(value);
        console.log(invoice_id_array);
    }

    $('#items_table').on('change', '.account_id', function(){
        var tr = $(this).parent().parent();
        // alert(invoice_id_array);
        var account_id = tr.find(".account_id").val();
        if(account_id) {
            $.ajax({
                // url: '/account-masters/maintain-account/purchase/'+account_id+'/'+invoice_id,
                url: '/account-masters/maintain-account/sale',
                // type:"GET",
                type:"POST",
                dataType:"json",
                data: {
                    _token: '{{csrf_token()}}',
                    invoice_id_array: invoice_id_array,
                    account_id: account_id,
                },
                success:function(data) {
                    console.log("data", data.data);
                    if(data.status == "success") {
                        tr.find('#payment_type').val('');
                        tr.find('#account_type').val('');
                        tr.find('#amount').val(front);
                        tr.find(".select_account").addClass("hidden");
                        tr.find(".payment_type").removeClass("hidden");
                        tr.find('#select_invoice').empty();
                        tr.find(".select_invoice").addClass("hidden");
                        tr.find(".on_account_amount").addClass("hidden");
                        tr.find(".invoice_onaccount").removeClass("hidden");
                        tr.find('#select_invoice').append('<option value="">Select Invoice</option>');
                        $.each(data.data, function(key, value){
                            tr.find('#select_invoice').append('<option value="'+ value.id +'"> Pur #' + value.invoice_no + '-' + value.remaining_amount +  '</option>');
                        });
                        tr.find('#account_type').val(data.maintain_account)


                    }else {
                    }

                },
            });
        } else {
        }
    });

    $('#items_table').on('change', '.select_invoice', function(){
        var tr = $(this).parent().parent();
        var invoice_id = tr.find(".select_invoice").val();
        if(invoice_id) {
            $.ajax({
                url: '/sale-invoice/amount/sale/'+invoice_id,
                type:"GET",
                dataType:"json",
                success:function(data) {
                    console.log("data", data.data);
                    if(data.status == "success") {
                        // var rem_amount = $('#remaining_amount').val();
                        var amount = tr.find("#amount").val();
                        if (parseFloat(amount) > parseFloat(data.data)) {
                            alert("Your Entered Amount Should Not Be Greater Than Invoice Amount");
                            // tr.find("#amount").val("");
                            tr.find("#select_invoice").val("");
                        }
                        tr.find('#invoice_value').val(data.data);
                        tr.find('#invoice_id').val(data.id);
                        // arrAdd(data.id);

                        // rem_amount = parseFloat(rem_amount) - parseFloat(data.data);
                        // rem_amount = dec_function(rem_amount, deci);
                        // $('.remaining_amount').html(rem_amount);
                        // $('#remaining_amount').val(rem_amount);

                        // if (rem_amount >= 0) {
                        //     $('input[id="invoice_remaining['+ invoice_count +']"]').val(0);
                        // }
                        // if (rem_amount < 0) {
                        //     $('input[id="invoice_remaining['+ invoice_count +']"]').val(rem_amount);
                        // }

                        // tr.find(".select_invoice_value").val(data.data);

                        // tr.find(".select_invoice_id").val(invoice_id);
                        // tr.find(".select_invoice").attr("disabled", true);

                        // var type = tr.find(".payment_type").val();

                        // tr.find('.selected_payment_type').val(type);
                        // tr.find('.payment_type').attr("disabled", true);

                        // invoice_count++;
                    }else {

                    }

                },
            });
        } else {
        }
    });

    function getTotal(){
        console.log('getTotal');
        var total_amount = 0;
        var amount = $('.amount').val();
        var invoice_amount = $('#invoice_sum').val();
        total_amount = amount - invoice_amount;

        $('.total_amount').html(total_amount);
        $('#total_amount').val(total_amount);
    }

    function getTotal(){
        var net_total = 0;
        $('.amount').each(function (i,e) {
            var amount =$(this).val()-0;
            net_total += amount;
        })

        net_total = dec_function(net_total, deci);
        $('.net_total').html(net_total);
        $('#net_total').val(net_total);

        var amount_in_words = withDecimal(net_total);

        $('.amount_in_words').html(amount_in_words);
        $('#amount_in_words').val(amount_in_words);
    }

    $('#vat_amount').keyup(function(){
        getTotal();
    })

    $(document).ready(function() {
        // $('.input-group.date').datepicker({
        //     startView: 1,
        //     todayBtn: "linked",
        //     keyboardNavigation: false,
        //     forceParse: false,
        //     autoclose: true,
        //     format: "yyyy-mm-dd"
        // }).datepicker();
    });

</script>


@endsection
