<?php

namespace App\Http\Controllers;

use App\ClientModel;
use App\User;
use Hash;
use Illuminate\Http\Request;

class ClientController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function viewClient()
    {
        $data['clients'] = User::all();
        return view('super_admin.superadmin-client-users')->with($data);
    }
    public function index()
    {
        $data['clients'] = User::all();
        return view('super_admin.client_master.index')->with($data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('super_admin.client_master.add');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $insertData['role'] = 'admin';
        $insertData['name'] = $request->name;
        $insertData['email'] = $request->email;
        $password = $request->password;
        $hasedPassword = Hash::make($password);
        $insertData['password'] = $hasedPassword;
        $insertData['agreed'] = 1;
        $insertData['code'] = $request->code;
        $code = $request->code;
        $insertData['phone'] = $code.' '. $request->phone;
        User::insert($insertData);
        return redirect('client');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\ClientModel  $clientModel
     * @return \Illuminate\Http\Response
     */
    public function show(Request $request,$id)
    {
        $data['client'] = User::where('id',$id)->first();
        return view('super_admin.client_master.view')->with($data);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\ClientModel  $clientModel
     * @return \Illuminate\Http\Response
     */
    public function edit(Request $request,$id)
    {
        $data['client'] = User::where('id',$id)->first();
        return view('super_admin.client_master.edit')->with($data);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\ClientModel  $clientModel
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id, ClientModel $clientModel)
    {
        $updateData['name'] = $request->name;
        $updateData['email'] = $request->email;
        // $password = $request->password;
        // $hasedPassword = Hash::make($password);
        // $updateData['password'] = $hasedPassword;
        $updateData['agreed'] = $request->verification??1;
        $updateData['code'] = $request->code;
        $code = $request->code;
        $updateData['phone'] = $request->phone;
        User::where('id', $id)->update($updateData);
        return redirect('client');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\ClientModel  $clientModel
     * @return \Illuminate\Http\Response
     */
    public function destroy(ClientModel $clientModel)
    {
        //
    }
}
