<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class WarehouseTransfer extends Model
{
    use SoftDeletes;

    // RELATIONS

    public function warehouseFrom()
    {
        return $this->belongsTo(WareHouse::class, 'warehouse_from', 'id');
    }

    public function warehouseTo()
    {
        return $this->belongsTo(WareHouse::class, 'warehouse_to', 'id');
    }
    
    public function item()
    {
        return $this->belongsTo(ItemName::class, 'item_name_id', 'id');
    }
}
