@extends('layouts.master_user_without_nav')
@section('css')
<style>
    .vcenter {
        margin-left: 38px;
    }

    h2 {
        text-align: center;
        margin-bottom: 20px;
    }
    .top{
        margin-top: 40px;
    }
    .top1{
        margin-top: 20px;
        margin-bottom: 20px
    }


</style>
@endsection
@section('content')
<div class=" container wrapper wrapper-content animated fadeInRight">
    <div class="row" style="margin-bottom: 20px;">
        <a href="/" class="btn btn-primary">Go Back</a>
    </div>
    <div class="row gray-bg">
        <h2><strong>Create Notifications</strong></h2>
    </div>
    <form  method="POST" action="/main-menu/notification">
        @csrf
        <div class="row top">
            <div class="col-md-4">
                <div class="form-group">
                    <label class="vcenter top"><input type="radio" id="all_country_location" name="option" value="all_countries_locations"> All Countries & Locations</label>
                </div>
            </div>
            <div class="col-md-4">
                    <div class="form-group">
                        <label><input type="radio" id="countries_all_location" name="option" value="multiple_country_all_locations" required> Select Country</label>                        
                    <select class="form-control selectpicker" name="multiple_country[]" data-show-subtext="true" multiple data-live-search="true">
                        <option value="">Select Country</option>
                        @foreach ($countries as $country)
                            <option value="{{$country->id}}">{{$country->name}}</option>    
                        @endforeach
                    </select>
                </div>
                <div class="form-group">
                    <span>All Locations</span>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <label><input type="radio" id="country_specific_location" name="option" value="specific_country_multiple_locations"> Select Country & Location</label>
                    <select class="form-control" name="single_country">
                        <option value="">Select Country</option>
                        @foreach ($countries as $country)
                            <option value="{{$country->id}}">{{$country->name}}</option>    
                        @endforeach
                    </select>
                </div>
                <div class="form-group">
                    <label for="location">Select Location</label>
                    <select name="location[]" id="location" class="form-control selectpicker"  data-show-subtext="true" multiple data-live-search="true">
                    </select>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <label for="">Title</label>
                <input type="text" name="title" id="title" class="form-control" required>
            </div>
            <div class="col-md-6">
                <label for="">Description</label>
                <textarea name="description" id="description" class="form-control" cols="30" rows="5"></textarea>
            </div>
        </div>
        {{-- <div class="row">
            <div class="col-md-6"></div>
            <div class="col-md-6">
                <div class="form-group">
                    <label for="status">Status</label>
                    <select class="form-control" name="status">
                        <option value="Active">Active</option>                    
                        <option value="InActive">InActive</option>
                    </select>
                </div>
            </div>
        </div> --}}
        <div class="row top">
            <div class="col-md-12">
                <button type="submit" class="btn btn-primary pull-right">Send Notifications</button>
            </div>
        </div>
    </form>
</div>
<div class="container wrapper wrapper-content animated fadeInRight">
    
    <div class="table-responsive">
        <table class="table table-striped table-bordered table-hover dt-responsive" >
        <thead>
        <tr>
            <th>Title</th>
            <th>Description</th>
            <th>Status</th>
            <th>Action</th>
        </tr>
        </thead>
        <tbody>
            @foreach($notifications as $notification)
            <tr>
                <td>{{$notification->title}}</td>
                <td>{{$notification->description}}</td>
                <td>{{$notification->status}}</td>
                <td>
                    <div class="btn-group">
                        <div class="pull-left" style="margin-right: 10px;">
                            <a href="/main-menu/notification/{{ $notification->id }}/view" class="btn btn-primary">
                                <i class="fa fa-eye" aria-hidden="true"></i>
                                 View Details</a>
                        </div>
                        <div class="pull-right">
                            <form  method="post" action="/main-menu/notification/{{ $notification->id }}">
                                {{ csrf_field() }}
                                {{ method_field('DELETE') }}
                                <button type="submit" class="btn btn-primary">
                                    <i class="fa fa-trash" aria-hidden="true"></i> 
                                    Delete</button>
                            </form>
                        </div>
                    </div>
                </td>
            </tr> 
            @endforeach
        </tbody>
        </table>
    </div>
</div>
@endsection

@section('js')
<script>
</script>
@endsection
