
@extends('layouts.master_user')
@section('page-title')
Stock Report
@endsection
@section('css')
<style>
    .top {
        margin-top: 22px;
    }

    .vcenter {
        margin-top: 30px;
    }

    .move_l {
        margin-right: 10px;

    }

    .display-none {
        display: none;
    }

    .display-min {
        width: 280px;
    }

    #top {
        margin-top: 100px;
    }

</style>

@endsection
@section('reports')
active
@endsection
@section('stock-report')
active
@endsection
@section('content')

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Expense</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div> --}}
        <div class="ibox-content">
            <form class="form-horizontal" method="POST" id="create_form" action="/reports/stock-report" enctype="multipart/form-data">
                @csrf
                <div class="form-group">
                    <div class="col-sm-6" id="from_date_col">
                        <label>From Date </label>
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span>
                            <input type="text" id="from_date" name="from_date" class="form-control" value="">
                        </div>
                    </div>
                    <div class="col-sm-6" id="to_date_col">
                        <label>To Date </label>
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span>
                            <input type="text" id="to_date" name="to_date" class="form-control" value="">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-6">
                        <label for="account_class_or_Ledger">Select Type of report</label>
                        <select class="ledger_account_class form-control" id="query_class" name="ledger_account_class_name" onchange="showLedgerAccount()" required>
                            <option value="item_query">Particulars Item Query</option>
                            <option value="group_query">Group Stock Query</option>
                            <option value="stock_query">Complete Stock Query</option>
                        </select>
                    </div>
                    <div>
                        <div class="col-sm-6" id="account_class">
                            <label for="" id="particular_label">Particulars</label>
                            <select class="form-control" id="item_stock" name="item_stock" required>
                                <option value="">Select Item...</option>
                                @foreach ($particular_items as $item)
                                    <option value="{{$item->id}}">{{$item->name}}</option>
                                @endforeach
                                {{-- <option value="1">Item Query1</option>
                                <option value="2">Item Query2</option>
                                <option value="2">Item Query3</option>
                                <option value="2">Item Query4</option>
                                <option value="2">Item Query5</option>
                                <option value="2">Item Query5</option> --}}
                            </select>
                        </div>
                            <div id="group_class" class=" col-sm-6 display-none">
                                <label for="" id="particular_label">Particulars</label>
                                <select class="form-control" id="group_stock" name="group_stock" required>
                                    <option value="">Select Group...</option>
                                    @foreach ($group_stocks as $item)
                                        <option value="{{$item->id}}">{{$item->name}}</option>
                                    @endforeach
                                    {{-- <option value="">stockquery1</option>
                                    <option value="">stockquery2</option>
                                    <option value="">stockquery3</option>
                                    <option value="">stockquery4</option>
                                    <option value="">stockquery5</option> --}}
                                </select>
                            </div>
                    </div>

                    </div>
                <div class="form-group">
                    <div class="col-sm-6">
                        <label for="show_cost"><input type="checkbox" name="show_cost" id="show_cost" checked> Show Cost</label>
                    </div>
                </div>
                <div class="form-group top">
                    <button class="btn btn-secondary " type="submit"><i class="fa fa-check"></i>&nbsp;Display</button>
                </div>
            </form>

        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $("#create_form").validate();
    $('#item_stock').select2();
    $('#group_stock').select2();
    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "yyyy-mm-dd"
        }).datepicker('setDate',new Date());
    });
            function showLedgerAccount(){
                var select_status=$('#query_class').val();
                if(select_status=='item_query'){
                    $('#account_class').show();
                    $('#group_class').hide();
                    $('#group_stock').val("");
                    $('#item_query_class').hide();
                    $('#particular_label').show();
                    $('#from_date_col').show();
                    $('#to_date_col').show();
                    $("#item_stock").prop('required',true);
                    $("#group_stock").prop('required',false);
                }
                if(select_status=='group_query'){
                    $('#group_class').show();
                    $('#account_class').hide();
                    $('#item_stock').val("");
                    $('#item_query_class').hide();
                    $('#particular_label').show();
                    $('#from_date_col').hide();
                    $('#to_date_col').hide();
                    $('#from_date').val('2000-01-01');
                    $("#group_stock").prop('required',true);
                    $("#item_stock").prop('required',false);
                }
                if(select_status=='stock_query'){
                    $('#account_class').hide();
                    $('#group_class').hide();
                    $('#group_stock').val("");
                    $('#item_stock').val("");
                    $('#item_query_class').show();
                    $('#particular_class').hide();
                    $('#particular_label').hide();
                    $('#from_date_col').hide();
                    $('#to_date_col').hide();
                    $('#from_date').val('2000-01-01');
                    $("#group_stock").prop('required',false);
                    $("#item_stock").prop('required',false);
                }
            }
            function showAndHideInfo(){
                var select_status=$('#report_type').val();
                if(select_status=='billwise_report'){
                    $('#customer_info_btn').show();
                    $('#customer_info_th').show();
                }
                if(select_status=='vat_report'){
                    $('#customer_info_btn').hide();
                    $('#customer_info_th').hide();

                }
                if(select_status=='stock_query'){
                    $('#customer_info_btn').hide();
                    $('#customer_info').hide();
                    $('#customer_info_th').hide();
                    }
            }

            function showReport(){
                var select_type=$('#query_class').val();
                if(select_type=='item_query'){
                window.location.href="particular-item-query";
                }
                else if(select_type=='group_query'){
                    window.location.href="group-stock-query";
                }
                else{
                    window.location.href="complete-stock-query";

                }
            }
    $(document).ready(function () {
    $("#customer_info_btn").click(function () {
    $("#customer_info").toggle();
    });
});
</script>
@endsection
