@extends('layouts.master_user')
@section('page-title')
Inventory Opening Balances
@endsection
@section('css')
<style>
    .table-responsive {
        display: block;
        width: 100%;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
    }

    .table-responsive>.table-bordered {
        border: 0;
    }
    th{
        text-align: center;
    }
</style>

@endsection
@section('transaction')
active
@endsection
@section('inventory-opening-balance')
active
@endsection
@section('content')
<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="row wrapper white-bg page-heading">
        <div class="col-md-12">
            <a href="/transactions/inventory-opening-balances/create" class="btn btn-primary pull-right"><i class="fa fa-plus" aria-hidden="true"></i> Create Inventory Opening Balance</a>
        </div>
        @if(count($inventory_opening_balances) != 0)
        <div class="col-md-12">
            <div class="card strpied-tabled-with-hover" style="padding-top: 20px;">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-striped table-bordered table-hover dt-responsive" >
                        <thead>
                        <tr>
                            <th>Item</th>
                            <th>Description</th>
                            <th>IMEI/Serial/Other</th>
                            <th>Qty</th>
                            <th>Amount</th>
                            <th>Action</th>
                        </tr>
                        </thead>
                        <tbody>
                            @foreach($inventory_opening_balances as $inventory_opening_balance)
                                @foreach($inventory_opening_balance->items as $key => $item)
                                <tr>
                                    <td>{{ $item->name['name'] }}</td>
                                    <td>{{ $item->description }}</td>
                                    <td>{{ $item->imei_serial_no }}</td>
                                    <td>{{ $item->quantity }}</td>
                                    <td>{{ $item->amount }}</td>
                                    <td>
                                        <div class="btn-group">
                                            {{-- <div class="pull-left" style="margin-right: 10px;">
                                                <a href="/transactions/inventory-opening-balances/{{ $inventory_opening_balance->id }}/edit" class="btn btn-primary"><i class="fa fa-eye" aria-hidden="true"></i> View</a>
                                            </div> --}}
                                            @php
                                               $sales_item = \App\SaleInvoiceItem::where('imei_serial_no', $item->imei_serial_no)->first();
                                            @endphp
                                            @if ($sales_item == "")

                                                <div class="pull-left" style="margin-right: 10px;">
                                                    <a href="/transactions/inventory-opening-balances/{{ $item->id }}/edit" class="btn btn-primary"><i class="fa fa-pencil" aria-hidden="true"></i> Edit</a>
                                                </div>
                                            @else
                                                <div class="pull-left" style="margin-right: 10px;">
                                                    <a class="btn btn-primary"><i class="fa fa-pencil" aria-hidden="true"></i> Edit</a>
                                                </div>
                                            @endif
                                            {{-- <div class="pull-right">
                                                <form  method="post" action="/transactions/inventory-opening-balances/{{ $inventory_opening_balance->id }}">
                                                    {{ csrf_field() }}
                                                    {{ method_field('DELETE') }}
                                                    <button type="submit" class="btn btn-primary"><i class="fa fa-trash" aria-hidden="true"></i> Delete</button>
                                                </form>
                                            </div> --}}
                                        </div>
                                    </td>
                                </tr>
                                @endforeach
                            @endforeach
                        </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        @else
            <h4 style="text-align:center;">No Inventory Opening Balance has been created yet.</h4>
        @endif
    </div>
</div>
@endsection

@section('js')
<script>
    $(document).ready(function(){
        $('.dataTables-inventory_opening_balances').DataTable({
            pageLength: 25,
            dom: '<"html5buttons"B>lTfgitp',
            buttons: [
                { extend: 'copy'},
                {extend: 'csv'},
                {extend: 'excel', title: 'ExampleFile'},
                {extend: 'pdf', title: 'ExampleFile'},

                {extend: 'print',
                 customize: function (win){
                        $(win.document.body).addClass('white-bg');
                        $(win.document.body).css('font-size', '10px');

                        $(win.document.body).find('table')
                                .addClass('compact')
                                .css('font-size', 'inherit');
                }
                }
            ]

        });

    });

</script>
@endsection
